/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCorePerson;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCorePersonRecord extends UpdatableRecordImpl<TCorePersonRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_person.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_person.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_person.usnr</code>. id of user used in
     * database
     */
    public void setUsnr(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_person.usnr</code>. id of user used in
     * database
     */
    public Integer getUsnr() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_person.username</code>. name of user
     * used for login
     */
    public void setUsername(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_person.username</code>. name of user
     * used for login
     */
    public String getUsername() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_person.forename</code>.
     */
    public void setForename(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_person.forename</code>.
     */
    public String getForename() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_person.surname</code>.
     */
    public void setSurname(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_person.surname</code>.
     */
    public String getSurname() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCorePersonRecord
     */
    public TCorePersonRecord() {
        super(TCorePerson.T_CORE_PERSON);
    }

    /**
     * Create a detached, initialised TCorePersonRecord
     */
    public TCorePersonRecord(LocalDateTime lastchange, Integer usnr, String username, String forename, String surname) {
        super(TCorePerson.T_CORE_PERSON);

        setLastchange(lastchange);
        setUsnr(usnr);
        setUsername(username);
        setForename(forename);
        setSurname(surname);
        resetChangedOnNotNull();
    }
}
